import React from 'react';

export default function EtatDeLaMerSvgIcon() {
  return (
    <svg width="35" height="36" viewBox="0 0 35 36" fill="none" xmlns="http://www.w3.org/2000/svg">
      <path
        d="M12.1428 18.2659C12.5823 17.6212 12.8603 16.8802 12.9533 16.1055C13.0464 15.3308 12.9517 14.5451 12.6774 13.8146L12.6229 13.7164L9.13167 6.77767C9.04119 6.59612 8.90188 6.44339 8.7294 6.33664C8.55691 6.22989 8.35808 6.17333 8.15523 6.17333C7.95238 6.17333 7.75355 6.22989 7.58106 6.33664C7.40858 6.44339 7.26927 6.59612 7.17878 6.77767L3.68759 13.6837C3.68348 13.7163 3.68348 13.7493 3.68759 13.7819C3.24933 14.8894 3.23545 16.1197 3.64862 17.2368C4.06178 18.3539 4.87289 19.2791 5.92633 19.8349C6.97976 20.3907 8.20133 20.5379 9.35666 20.2484C10.512 19.9588 11.5197 19.2528 12.1865 18.2659H12.1428ZM5.96778 17.0221C5.72755 16.6761 5.57435 16.2773 5.52117 15.8595C5.46799 15.4416 5.5164 15.0171 5.6623 14.622L8.16068 9.67973L10.6591 14.622C10.8022 15.023 10.847 15.4525 10.7897 15.8744C10.7325 16.2963 10.5749 16.6983 10.3302 17.0467C10.0854 17.3952 9.76069 17.6798 9.38319 17.8767C9.00569 18.0737 8.58646 18.1772 8.16068 18.1786C7.72772 18.184 7.3003 18.081 6.9173 17.879C6.5343 17.677 6.20789 17.3825 5.96778 17.0221Z"
        fill="#1D9CE3"
      />
      <path
        d="M15.0121 28.1722L12.4701 23.1427C12.3786 22.964 12.2395 22.814 12.0681 22.7093C11.8968 22.6045 11.6999 22.5491 11.4991 22.5491C11.2983 22.5491 11.1014 22.6045 10.9301 22.7093C10.7588 22.814 10.6197 22.964 10.5281 23.1427L7.9861 28.1722C7.982 28.2048 7.982 28.2378 7.9861 28.2704C7.76016 28.8465 7.67979 29.4696 7.7521 30.0842C7.82441 30.6989 8.04718 31.2863 8.40068 31.7943C8.75029 32.3051 9.21915 32.7229 9.76665 33.0116C10.3142 33.3004 10.9238 33.4513 11.5428 33.4513C12.1617 33.4513 12.7714 33.3004 13.3189 33.0116C13.8664 32.7229 14.3352 32.3051 14.6848 31.7943C15.0383 31.2863 15.2611 30.6989 15.3334 30.0842C15.4057 29.4696 15.3254 28.8465 15.0994 28.2704C15.0788 28.231 15.0488 28.1973 15.0121 28.1722V28.1722ZM12.8301 30.5615C12.6749 30.7713 12.4727 30.9418 12.2396 31.0592C12.0066 31.1767 11.7492 31.2379 11.4882 31.2379C11.2272 31.2379 10.9699 31.1767 10.7368 31.0592C10.5038 30.9418 10.3015 30.7713 10.1463 30.5615C9.99811 30.3495 9.90379 30.1046 9.87148 29.848C9.83916 29.5913 9.86982 29.3307 9.96081 29.0886L11.4991 26.0338L13.0374 29.0886C13.1269 29.3316 13.1557 29.5927 13.1215 29.8493C13.0873 30.106 12.991 30.3504 12.841 30.5615H12.8301Z"
        fill="#1D9CE3"
      />
      <path
        d="M30.0462 16.793C30.0421 16.7604 30.0421 16.7275 30.0462 16.6949L23.3802 3.50469C23.2886 3.32598 23.1495 3.17601 22.9782 3.07128C22.8069 2.96655 22.61 2.91114 22.4092 2.91114C22.2084 2.91114 22.0115 2.96655 21.8402 3.07128C21.6688 3.17601 21.5297 3.32598 21.4382 3.50469L14.8158 16.6949C14.8199 16.7275 14.8199 16.7604 14.8158 16.793C14.3437 18.0466 14.1815 19.3956 14.343 20.7253C14.5044 22.055 14.9848 23.3259 15.7432 24.43C16.4909 25.5191 17.4925 26.4098 18.6615 27.0252C19.8305 27.6406 21.1317 27.9622 22.4528 27.9622C23.7739 27.9622 25.0751 27.6406 26.2441 27.0252C27.4131 26.4098 28.4147 25.5191 29.1625 24.43C29.9137 23.3222 30.3863 22.0494 30.5401 20.7198C30.694 19.3902 30.5245 18.0431 30.0462 16.793V16.793ZM27.3187 23.219C26.7713 24.0156 26.0383 24.667 25.183 25.1171C24.3277 25.5671 23.3757 25.8023 22.4092 25.8023C21.4427 25.8023 20.4907 25.5671 19.6354 25.1171C18.78 24.667 18.0471 24.0156 17.4997 23.219C16.9371 22.4131 16.5803 21.4816 16.4605 20.506C16.3407 19.5304 16.4615 18.5404 16.8124 17.6222L22.4092 6.42856L28.0169 17.6222C28.3662 18.5412 28.4852 19.5318 28.3635 20.5074C28.2418 21.483 27.8831 22.414 27.3187 23.219V23.219Z"
        fill="#1D9CE3"
      />
    </svg>
  );
}
